package edu.mermet.tp8;

import edu.mermet.tp8.Application;

import java.util.ResourceBundle;

import javax.swing.JDialog;
import javax.swing.JEditorPane;
import javax.swing.JList;
import javax.swing.JSplitPane;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;
import javax.swing.*;

public class CommentFaireDialogue extends JDialog {
    private ResourceBundle LesTextes = ResourceBundle.getBundle("HowTo/textes");
    private ResourceBundle LesTitres = ResourceBundle.getBundle("HowTo/titres");
    private JEditorPane editorPane;
	//private JSplitPane splitPane;

	public CommentFaireDialogue(Application application) {
        super(application);
        init();
    }
	private void init() {
        pack();
        setVisible(true);
		contentPanel();
		setLocationRelativeTo(null);
    }
	private void contentPanel(){
		//splitPane = new JSplitPane();
    	setTitle(LesTitres.getString("commentFaireTitre"));
        setContentPane(new JSplitPane(JSplitPane.HORIZONTAL_SPLIT));
        Liste();
        initPageTuto();
		setSize(600,150);
	}
    private void Liste() {
		String[] titre = {LesTitres.getString("commentFaireTitre"), LesTitres.getString("convertCelsiusFaren"), LesTitres.getString("convertFarenCelsius"), LesTitres.getString("saisieGras"), LesTitres.getString("saisiecouleur"), LesTitres.getString("quitter")};
		JList<String> list = new JList<>(titre);
		list.addListSelectionListener(new ListSelectionListener() {
            @Override
            public void valueChanged(ListSelectionEvent arg0) {
                String valeur = list.getSelectedValue();
                if(valeur.equals(LesTitres.getString("commentFaireTitre"))) {
                    editorPane.setText(LesTextes.getString("tutoHowTo"));
                } else if(valeur.equals(LesTitres.getString("convertCelsiusFaren"))) {
                    editorPane.setText(LesTextes.getString("tutoCelsiusFaren"));
                } else if(valeur.equals(LesTitres.getString("convertFarenCelsius"))) {
                    editorPane.setText(LesTextes.getString("tutoFarenCelsius"));
                } else if(valeur.equals(LesTitres.getString("quitter"))) {
                    dispose();
                } else if(valeur.equals(LesTitres.getString("saisieGras"))) {
                    editorPane.setText(LesTextes.getString("tutoGras"));
                } else if(valeur.equals(LesTitres.getString("saisiecouleur"))) {
                    editorPane.setText(LesTextes.getString("tutoCouleur"));
                } else {
                    editorPane.setText(LesTextes.getString("texteAccueil"));
                }
            }
        });
        add(list);
	}
	private void initPageTuto() {
        String texte = LesTextes.getString("texteAccueil");
        editorPane = new JEditorPane("text/html", texte);
        editorPane.setEditable(false);
        add(editorPane);
    }
	
}